$:.push File.expand_path("../lib", __FILE__)
require "duodealer_api/version"

Gem::Specification.new do |s|
  s.name = %q{duodealer_api}
  s.version = DuodealerAPI::VERSION
  s.author = "Eric Raio"

  s.summary = %q{The Duo Dealer API gem is a lightweight gem for accessing the Duo Dealer admin GraphQL web services}
  s.description = %q{The Duo Dealer API gem allows Ruby developers to programmatically access the admin section of Duo Dealer stores. The API is implemented as JSON or XML over HTTP using all four verbs (GET/POST/PUT/DELETE). Each resource, like Order, Product, or Collection, has its own URL and is manipulated in isolation.}
  s.email = %q{careers@duodealer.com}
  s.homepage = %q{http://www.duodealer.com/partners/apps}

  s.extra_rdoc_files = []
  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }

  s.rdoc_options = ["--charset=UTF-8"]
  s.summary = %q{DuodealerAPI is a lightweight gem for accessing the Duo Dealer admin GraphQL web services}
  s.license = "MIT"

  s.required_ruby_version = ">= 2.4"

  s.add_runtime_dependency("railties", "~> 6.0.2.1")
  s.add_runtime_dependency("activeresource", ">= 4.1.0", "< 6.0.0")
  s.add_runtime_dependency("rack")
  s.add_runtime_dependency("graphql-client")

  s.add_development_dependency("mocha", ">= 0.9.8")
  s.add_development_dependency("webmock")
  s.add_development_dependency("minitest", ">= 4.0")
  s.add_development_dependency("rake")
  s.add_development_dependency("timecop")
  s.add_development_dependency("rubocop")
  s.add_development_dependency("pry")
  s.add_development_dependency("pry-byebug")
end
